/** FIXME: this needs to be templated SDK-6874 */
interface BoolCallable {
    run(result: boolean): void;
}
/** FIXME: this needs to be templated SDK-6874 */
interface WrappedFuture {
    then(callback: BoolCallable): void;
}
interface SdcCoreInternalSdkCommonAsync_statics {
}

export type { BoolCallable, SdcCoreInternalSdkCommonAsync_statics, WrappedFuture };
